## equivs 2.2.0

=== Makefile ===
MANPAGES := equivs-control.1 equivs-build.1
BUILD_DATE = $(shell LC_ALL=C date -u +'%d %b %Y' -d "@$(SOURCE_DATE_EPOCH)")

%.1: %.pod
	pod2man -s 1 -r "$(BUILD_DATE)" -c "Debian" -d ' ' $< > $@

all: $(MANPAGES)

clean:
	rm -f $(MANPAGES)

## equivs 1.0.5-3

=== debian/changelog ===
equivs (1.0.5-3) unstable; urgency=low

  * Upgraded to standards version 2.4.0.0 (no changes).
  * Minor changes to tar routine in debian/rules to make it more reliably.
  * Closing Bug#18921 which was already addressed in former releases.

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Sun, 22 Feb 1998 07:49:23 +0100

equivs (1.0.5-2) unstable; urgency=low

  * Added correct FSF postal address into debian/copyright as 
    suggested by lintian check.

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Sun, 22 Feb 1998 07:49:23 +0100

equivs (1.0.5-1) unstable; urgency=low

  * Complete overhaul (and hopefully simplification) of "equivs".
  * Updated README.debian with a clearer description of the package's 
    usage and instructions on how to remove it again. I hope "equivs"
    is pretty foolproof by now.
  * Changed debian/rules and the preinst/postinst files to use the
    configuration file "/etc/equivs.conf".
  * Added debian/purge file.

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Sat, 07 Feb 1998 16:34:32 +0100

equivs (1.0.4-2) unstable; urgency=low

  * Changed "Architecture: any" to "Architecture: all" in control file since
    there is no compiled binary included. This closes bug #16878.
  * Minor changes to debian/rules.

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Fri, 16 Jan 1998 15:04:03 +0100

equivs (1.0.4-1) unstable; urgency=low

  * Made equivs install it's own source into /usr/src/
  * Put equivs into section admin with priority optional
  * Added warnings about possible damage of package dependencies if 
    mindlessly used.

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Thu, 04 Dec 1997 05:04:03 +0100

equivs (1.0.3-2) unstable; urgency=low

  * Added a small description of the build procedure to the README.debian 
    file upon proposal of <Martin.Bialasinski@uni-koeln.de>.

  * Added credit to Markus Dickebohm <m.dickebohm@uni-koeln.de> for the 
    information which enabled me to make up this package. ;-)

  * Various changes to debian/rules so that the current configuration is
    added to the documentation as "/usr/doc/equivs/current.conf".

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Mon, 29 Sep 1997 22:24:03 +0100

equivs (1.0.3-1) unstable; urgency=low

  * Changed freeware license to GPL.

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Thu, 26 Mar 1997 14:40:03 +0100

equivs (1.0.2-1) unstable; urgency=low

  * Removed silly copy actions from 'debian/rules'.

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Wed, 25 Mar 1997 13:46:03 +0100

equivs (1.0.1-1) unstable; urgency=low

  * Included a sed command for automatically configuring the control file. The
    user now simply has to edit debian/equivs.conf for changing the package.

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Sun, 22 Jun 1997 23:36:34 +0100

equivs (1.0) unstable; urgency=low

  * Initial Release.

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Wed, 12 Mar 1997 10:46:03 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: equivs
Section: admin
Priority: optional
Maintainer: Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>
Standards-Version: 2.4.0.0

Package: equivs
Architecture: all
Provides:
Description: Circumventing Debian package dependencies
 This is a dummy package that makes Debian's package management
 system believe that equivalents to packages on which other
 packages do depend on are actually installed.
 .
 Deinstallation of this package is only possible when all pending
 dependency issues are properly resolved in some other way. A more
 brutal approach for it's deinstallation is to create and install
 'equivs' configured using an empty "/etc/equivs.conf" (or simply
 delete it) to remove all of the existing dependencies with any
 installed package on the system.
 .
 Please note that this is a crude hack and if thoughtlessly used
 might possibly do damage to your packaging system. And please
 note as well that using it is not the recommended way of dealing
 with broken dependencies. Better file a bug report instead.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>

package=equivs
version=1.0.5

build:
	@echo >&2 ''
	@echo >&2 'There is nothing needed to be build! Just edit debian/equivs.conf'
	@echo >&2 'for adding or removing entries for the packages you want to make'
	@echo >&2 '"dpkg" believe that they are installed and just go ahead with' 
	@echo >&2 '"debian/rules binary-arch" to build it!'
	@echo >&2 ''
clean:
	$(checkdir)
	-rm -rf debian/tmp debian/files* debian/current.conf core /tmp/tmp.tar
	-cp debian/control.clean debian/control

binary-arch:	checkroot clean
	$(clean)
	tar cvf /tmp/equivs-tmp.tar .
	mkdir -p `pwd`/debian/tmp/usr/src/$(package)-$(version)
	cd `pwd`/debian/tmp/usr/src/$(package)-$(version) && tar xvf /tmp/equivs-tmp.tar
	rm -f /tmp/equivs-tmp.tar

	if [ -f /etc/equivs.conf ]; then\
	(sed -e s/^Provides:/"Provides: `cat /etc/equivs.conf`"/ debian/control > debian/control.new);\
	fi

	if [ -f debian/control.new ]; then\
	mv debian/control.new debian/control;\
	fi

	debstd $(package) debian/example.conf
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch clean checkroot

## equivs 1.999.12

=== debian/changelog ===
equivs (1.999.12) unstable; urgency=low

  * Fixed some perl -w warnings

 -- Martin Bialasinski <martinb@debian.org>  Sun, 31 Oct 1999 02:48:59 +0100

equivs (1.999.11) unstable; urgency=low

  * Standards Version 3.0.1 also in the equivs-control template

 -- Martin Bialasinski <martinb@debian.org>  Thu, 23 Sep 1999 22:11:20 +0200

equivs (1.999.10) unstable; urgency=low

  * Made FHS complient.
  * Changed license location in copyright file 
  * Standard 3.0.1 in the template

 -- Martin Bialasinski <martinb@debian.org>  Thu, 16 Sep 1999 17:28:39 +0200

equivs (1.999.9) unstable; urgency=low

  * Depende on perl|perl5, so that the package can still be used with slink

 -- Martin Bialasinski <martinb@debian.org>  Thu, 29 Jul 1999 23:42:19 +0200

equivs (1.999.8) unstable; urgency=low

  * Added dependency on perl (lintian)
  * corrected spelling (lintian)

 -- Martin Bialasinski <martinb@debian.org>  Wed,  7 Jul 1999 03:47:20 +0200

equivs (1.999.7) unstable; urgency=low

  * Added a Extra-Files: field to the control file where one can add
    files to be put into /usr/doc/packagename
  * Added the --full option, that makes a full build using debuild,
    suitable for upload to the distribution

 -- Martin Bialasinski <martinb@debian.org>  Thu, 24 Jun 1999 21:37:57 +0200

equivs (1.999.6) unstable; urgency=low

  * Added the Readme, Copyright and Changelog fields, so one can 
    use own files 
  * Renamed make-control to equivs-control and
            make-equivs to equivs-build
    Makes it easier for tab completition. I had to look up the 
    names after some time not working on equivs, so the scripts were
    obviously named wrong.
  * Added version header in template control file (Closes #39959)
  * Added manpages (Closes #38148)

 -- Martin Bialasinski <martinb@debian.org>  Tue, 22 Jun 1999 23:11:10 +0200

equivs (1.999.5) unstable; urgency=low

  * Fixed typos in the examples. Closing #36354
    Thanks to "Carl R. Witty" <cwitty@newtonlabs.com>

 -- Martin Bialasinski <martinb@debian.org>  Tue, 20 Apr 1999 18:23:16 +0200

equivs (1.999.4) unstable; urgency=low

  * Examples for Staroffice and Word Perfect were foobar

 -- Martin Bialasinski <martinb@debian.org>  Sun, 18 Apr 1999 15:24:35 +0200

equivs (1.999.3) unstable; urgency=low

  * Make the config parse routine chop trailing whitespace 
  * Removed call of dh_link from template rules file, as it is not necessary.
    Fixes #31670
  * Fixed spelling error in description
  * Added a small check, if the equivs directory is not a symlink 
    before removing it
  * Changed Depends: fakeroot to Depends: libtricks | fakeroot, until a new 
    version of libtricks is released, which provides fakeroot (#31682)
  * Added an example config for a locally installed MTA
  
 -- Martin Bialasinski <martinb@debian.org>  Wed,  6 Jan 1999 21:13:37 +0100

equivs (1.999.2) unstable; urgency=low

  * Forgot about the "Provides:" dependency
  * Added a umask call, as somehow the README.Debian file was not copied
    correctly
  * Fixes wishlist bug #27215

 -- Martin Bialasinski <martinb@debian.org>  Wed,  6 Jan 1999 13:24:59 +0100

equivs (1.999.1) unstable; urgency=low

  * New Maintainer
  * Complete rewrite. Instead recreating the equivs package, one now
    creates new fake packages
  * No problem with apt anymore. To apt, the information fetched from 
    it's sources has precedence over information hold localy by dpkg.
    So a recompiled equivs packages was not recognised correctly.
  * Changed versionnumber to a debian-only one.

 -- Martin Bialasinski <martinb@debian.org>  Mon,  4 Jan 1999 12:35:16 +0100

=== debian/control ===
Source: equivs
Section: admin
Priority: optional
Maintainer: Martin Bialasinski <martinb@debian.org>
Standards-Version: 3.0.1

Package: equivs
Depends: perl|perl5, debhelper, dpkg-dev, devscripts, make, fakeroot
Architecture: all
Description: Circumventing Debian package dependencies
 This is a dummy package which can be used to create Debian
 packages, which only contain dependency information.
 .
 This way, you can make the Debian package management
 system believe that equivalents to packages on which other
 packages do depend on are actually installed.
 .
 Another possibility is creation of a meta package. When this 
 package contains a dependency as "Depends: a, b, c", then 
 installing this package will also select packages a, b and c.
 Instead of "Depends", you can also use "Recommends:" or 
 "Suggests:" for less demanding dependency.
 . 
 Please note that this is a crude hack and if thoughtlessly used
 might possibly do damage to your packaging system. And please
 note as well that using it is not the recommended way of dealing
 with broken dependencies. Better file a bug report instead.

## equivs 2.0.4

=== debian/changelog ===
equivs (2.0.4) unstable; urgency=low

  * Added Preinst, Postinst, Prerm and Postrm entries to the control file
    for usage with maintainerscripts. Closes: #101198

 -- Martin Bialasinski <martinb@debian.org>  Fri, 29 Jun 2001 22:04:01 +0200

equivs (2.0.3) unstable; urgency=low

  * provide a --arch switch for "cross-compiling" using dpkg-architecture
    closes: #87791

 -- Martin Bialasinski <martinb@debian.org>  Tue, 13 Mar 2001 22:32:44 +0100

equivs (2.0.2) unstable; urgency=low

  * Add build-depends. Closes: #70284

 -- Martin Bialasinski <martinb@debian.org>  Thu, 21 Dec 2000 14:35:39 +0100

equivs (2.0.1) unstable; urgency=low

  * Make equivs-control print usage information, on any option.
    closes: #78799

 -- Martin Bialasinski <martinb@debian.org>  Wed,  6 Dec 2000 23:49:14 +0100

equivs (2.0) unstable; urgency=low

  * No more TODO, remove file
  * Make full FHS complient (change docs etc.)
  * Move files from /usr/lib/equivs to /usr/share/equivs
  * Fix documentation, closes: #66771
  * Call it version 2.0

 -- Martin Bialasinski <martinb@debian.org>  Fri,  7 Jul 2000 17:57:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: equivs
 Section: admin
-Priority: optional
+Priority: extra
 Maintainer: Martin Bialasinski <martinb@debian.org>
-Standards-Version: 3.0.1
+Standards-Version: 3.1.0
+Build-Depends: debhelper
 
 Package: equivs
 Depends: perl|perl5, debhelper, dpkg-dev, devscripts, make, fakeroot

## equivs 2.0.6-0.1

=== debian/changelog ===
equivs (2.0.6-0.1) unstable; urgency=low

  * Non-maintainer upload.
  
  * equivs-build: fix operator precedence problem.  Applied patch from
  Mattia Dongili.  Closes: #237963, 218443.
  
  * debian/control: Tweaked the description message, removing the
  misleading phrase "dummy package".  Closes: #201852.

 -- Steve M. Robbins <smr@debian.org>  Fri, 28 May 2004 21:38:59 -0400

equivs (2.0.6) unstable; urgency=low

  * Just to correct some changelog issues
  * Wrong bug closed in 2.0.5 (#131270). The bug was #131260
    (manually closed by me)
  * era eriksson correct mail is era@iki.fi
  * Fixed Control file to Standars-Version 3.5.10

 -- Fabio Rafael da Rosa <f2r@users.sourceforge.net>  Wed, 11 Jun 2003 11:32:56 -0300

equivs (2.0.5) unstable; urgency=low

  * New maintainer. (Closes: #192678)
  * Uptated to Standards-Version 3.5.10
  * Changed some docs to be more clear (patch from eriksson 
    <era@there.afraid.org>) (Closes: #163780, #131270)
  * Changed Maintainer sample line in equivs-control to make it clear.
    (Closes: #122041)

 -- Fabio Rafael da Rosa <f2r@users.sourceforge.net>  Thu, 15 May 2003 16:58:59 -0300

=== debian/control ===
Source: equivs
Section: admin
Priority: extra
Maintainer: Fabio Rafael da Rosa <f2r@users.sourceforge.net>
Standards-Version: 3.5.10
Build-Depends-Indep: debhelper

Package: equivs
Depends: perl|perl5, debhelper, dpkg-dev, devscripts, make, fakeroot
Architecture: all
Description: Circumvent Debian package dependencies
 This package provides a tool to create Debian
 packages that only contain dependency information.
 .
 If a package P is not installed on the system, packages
 that depend on P cannot normally be installed.  However,
 if equivalent functionality to P is known to be installed,
 this tool can be used to trick the Debian package management
 system into believing that package P is actually installed.
 .
 Another possibility is creation of a meta package. When this 
 package contains a dependency as "Depends: a, b, c", then 
 installing this package will also select packages a, b and c.
 Instead of "Depends", you can also use "Recommends:" or 
 "Suggests:" for less demanding dependency.
 . 
 Please note that this is a crude hack and if thoughtlessly used,
 it might possibly do damage to your packaging system. And please
 note as well that using it is not the recommended way of dealing
 with broken dependencies. Better file a bug report instead.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for packages that are architecture independent.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.

	pod2man --section=1 --release="`date +'%d %b %Y'`"\
	--center="Debian/GNU" --date=' '\
	debian/equivs-control.pod > debian/equivs-control.1 

	pod2man --section=1 --release="`date +'%d %b %Y'`"\
	--center="Debian/GNU" --date=' '\
	debian/equivs-build.pod > debian/equivs-build.1 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.

	-rm -f debian/equivs-build.1 debian/equivs-control.1
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	cp -R usr debian/tmp

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## equivs 2.0.7

=== debian/changelog ===
equivs (2.0.7) unstable; urgency=low

  * New maintainer.  (Closes: #350835)
  * Acknowledge NMU.  (Closes: #201852, #218443, #237963, #251547)
  * Add file COPYING, the GNU GPL v2, to top level of source tree.
  * Update both build-time and runtime use of debhelper to v4.
    (Closes: #320619)
  * debian/copyright, debian/rules: cleanups
  * debian/control:
    - standards version 3.6.2 (no changes needed)
    - rewrite description
    - drop 'perl5' alternative dependency; the perl5 package disappeared
      about 3 release cycles ago
  * template/debian/copyright: update FSF address.
  * template/debian/control.in: edit description, set maintainer to
    root@localhost, update standards version, add correct debhelper
    Build-Depends
  * template/debian/rules: streamline somewhat.
  * equivs-build: support Replaces: field.  (Closes: #118526)
  * equivs-build, template/debian/README.Debian.in:
    use "@" instead of the ISO-8859-1 section symbol for the variable
    escapes, to make life slightly easier for users of other charsets.
    - equivs-build.pod: update (and fix) the documentation for this
  * equivs-build: allow comments in control file.
    - template.ctl: comment out most of the entries, to save the user some
      time in common cases.  Also mention that packages lists are all
      comma-separated.
  * equivs-build: Lots of code cleanups.  Highlights:
    - Use File::Temp::tempdir.  This removes the dir upon normal exit.  On
      abend, tell the user where it is so she can examine and remove it.
    - Print usage message to STDERR, not STDOUT
    - Actually bother to close all the files we open
    - die with "\n".  I doubt users care about source code line numbers.
    - 3-arg open(), multi-arg system(), and in general try to look less
      like Perl 4
    - Delete outdated or useless comments, commented-out code, unneeded
      variables, and redundant integrity checks
    - Eliminate most use of global variables
    The net effect is to shrink the file by about 20%.

 -- Peter Samuelson <peter@p12n.org>  Tue, 28 Feb 2006 02:01:16 -0600

=== debian/control ===
Source: equivs
Section: admin
Priority: extra
Maintainer: Peter Samuelson <peter@p12n.org>
Standards-Version: 3.6.2
Build-Depends-Indep: debhelper (>= 4)

Package: equivs
Depends: perl, debhelper (>= 4), dpkg-dev, devscripts, make, fakeroot
Architecture: all
Description: Circumvent Debian package dependencies
 This package provides a tool to create Debian packages that only
 contain dependency information.
 .
 One use for this is to create a metapackage: a package whose sole
 purpose is to declare dependencies and conflicts on other packages so
 that these will be automatically installed, upgraded, or removed.
 .
 Another use is to circumvent dependency checking.  If a package P is
 not installed on the system, packages that depend on P cannot normally
 be installed.  However, if functionality equivalent to P is known to
 be installed, this tool can be used to trick the Debian package
 management system into believing that package P is actually installed.
 NOTE: this should be considered a crude hack to work around awkward
 situations, not a normal solution.  If you use equivs to work around
 bugs in other Debian packages, you should also file bug reports
 against those packages.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for packages that are architecture independent.

#export DH_VERBOSE=1
PKG := equivs
MANPAGES := debian/equivs-control.1 debian/equivs-build.1

%.1: %.pod
	pod2man --section=1 --release="$(date +'%d %b %Y')" \
	--center="Debian/GNU" --date=' ' $< > $@

build: $(MANPAGES)

clean:
	dh_testdir
	dh_testroot
	$(RM) $(MANPAGES)
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

	mkdir -p debian/$(PKG)
	cp -la usr debian/$(PKG)

# Build architecture-dependent packages - nothing to do here
binary-arch: build install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## equivs 2.0.7-0.1

=== debian/changelog ===
equivs (2.0.7-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * equivs-build: add support for adding arbitrary extra files to a package.
    Thanks to Anthony Towns for the patch (closes: #449542)
  * equivs-build.pod: document the new "Files:" and "File:" fields
  * debian/control: bump Standards-Version to 3.7.3, no changes needed
  * debian/control: move debhelper dependency to Build-Depends, so that it is
    available upon clean

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 22 Jan 2008 12:26:38 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: extra
 Maintainer: Peter Samuelson <peter@p12n.org>
-Standards-Version: 3.6.2
-Build-Depends-Indep: debhelper (>= 4)
+Standards-Version: 3.7.3
+Build-Depends: debhelper (>= 4)
 
 Package: equivs
 Depends: perl, debhelper (>= 4), dpkg-dev, devscripts, make, fakeroot

## equivs 2.0.8

=== debian/changelog ===
equivs (2.0.8) unstable; urgency=low

  * Acknowledge NMU, thanks Zack.
  * Also thanks Tomáš Pospíšek for several patches.
  * Use dpkg-buildpackage instead of debuild; drop devscripts dependency.
    (Closes: #475936)
  * Stop specifying debhelper >=4, redundant in this day and age.  At the
    same time, I don't see the point in specifying a higher compat level.
  * Update and improve package description somewhat.  (Closes: #464871)
  * Document including multiple files via the "Files:" field:
    manpage (Closes: #565897), template file (Closes: #464888).
  * Allow +x bit to be specified on File: line.  (Closes: #535622)
  * Preserve +x bit for files in Files: section.  (Closes: #535623)
  * Allow Homepage field.  (Closes: #502395)
  * Fix Makefile pod2man rule.  (Closes: #364620)
  * Bump Standards-Version to 3.8.3 (no changes).
  * Honor $DEBEMAIL, $EMAIL, $DEBFULLNAME, and /etc/mailname for the
    default maintainer address.

 -- Peter Samuelson <peter@p12n.org>  Tue, 19 Jan 2010 22:28:13 -0600

=== debian/control ===
Source: equivs
Section: admin
Priority: extra
Maintainer: Peter Samuelson <peter@p12n.org>
Standards-Version: 3.8.3
Build-Depends: debhelper

Package: equivs
Depends: perl, debhelper, dpkg-dev, make, fakeroot
Architecture: all
Description: Circumvent Debian package dependencies
 This package provides a tool to create trivial Debian packages.
 Typically these packages contain only dependency information, but they
 can also include normal installed files like other packages do.
 .
 One use for this is to create a metapackage: a package whose sole
 purpose is to declare dependencies and conflicts on other packages so
 that these will be automatically installed, upgraded, or removed.
 .
 Another use is to circumvent dependency checking: by letting dpkg
 think a particular package name and version is installed when it
 isn't, you can work around bugs in other packages' dependencies.
 (Please do still file such bugs, though.)

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 MANPAGES := debian/equivs-control.1 debian/equivs-build.1
 
 %.1: %.pod
-	pod2man --section=1 --release="$(date +'%d %b %Y')" \
+	pod2man --section=1 --release="$$(date +'%d %b %Y')" \
 	--center="Debian/GNU" --date=' ' $< > $@
 
 build: $(MANPAGES)

## equivs 2.0.9

=== debian/changelog ===
equivs (2.0.9) unstable; urgency=low

  * Upgrade to Policy 3.9.2 - no changes.
  * Upgrade to source format 1.0 - no changes.
  * Support Breaks.  (Closes: #571638)
  * Move up to debhelper 7.  (Closes: #624175)
  * Fix 'Files:' option to expect an install _directory_.  (Closes: #636310)
  * Let 'Source:' field default to package name but be overridable.
    Based on patch from era erickson.  (Closes: #409557)
  * Improve option handling: allow equivs-build --arch and --full to work
    together.  Previously, with --full, --arch had no effect.

 -- Peter Samuelson <peter@p12n.org>  Fri, 30 Sep 2011 01:22:27 -0500

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: admin
 Priority: extra
 Maintainer: Peter Samuelson <peter@p12n.org>
-Standards-Version: 3.8.3
+Standards-Version: 3.9.2
 Build-Depends: debhelper
 
 Package: equivs
-Depends: perl, debhelper, dpkg-dev, make, fakeroot
+Depends: perl, debhelper, dpkg-dev, make, fakeroot, ${misc:Depends}
 Architecture: all
 Description: Circumvent Debian package dependencies
  This package provides a tool to create trivial Debian packages.

=== debian/rules ===
--- 
+++ 
@@ -10,18 +10,19 @@
 	pod2man --section=1 --release="$$(date +'%d %b %Y')" \
 	--center="Debian/GNU" --date=' ' $< > $@
 
-build: $(MANPAGES)
+build-arch:
+build-indep: $(MANPAGES)
+build: build-arch build-indep
 
 clean:
 	dh_testdir
-	dh_testroot
 	$(RM) $(MANPAGES)
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 
 	mkdir -p debian/$(PKG)
 	cp -la usr debian/$(PKG)
@@ -45,8 +46,5 @@
 	dh_md5sums
 	dh_builddeb
 
-source diff:
-	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
-
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary

=== usr/share/equivs/template/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

#export DH_VERBOSE=1

build build-arch build-indep:

clean:
	dh_testdir
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep

binary-arch: install

binary-indep: install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## equivs 2.0.9+nmu1

=== debian/changelog ===
equivs (2.0.9+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Multi-Arch support. (Closes: #692934 693548 697820)

 -- Wookey <wookey@debian.org>  Mon, 19 Oct 2015 01:38:56 +0000

## equivs 2.1.0

=== debian/changelog ===
equivs (2.1.0) unstable; urgency=low

  [ Axel Beckert ]
  * Adopt equivs under the Debian Perl Group umbrella. (Closes: #852223)
  * Import package history into a Git repository and add Vcs-*
    headers. (Closes: #663424)
    + Add a .gitignore file.
  * Apply wrap-and-sort.
  * Switch debian/rules to minimal dh v7 style.
    + Use debian/install instead calling cp inside debian/rules.
    + Remove obsolete variables.
    + Replace usage of dpkg-parsechangelog with $SOURCE_DATE_EPOCH. Fixes
      lintian warning debian-rules-parses-dpkg-parsechangelog.
  * Rename debian/equivs.* to debian/*.
  * Move documentation files from debian/*.pod to *.pod.
  * Move man page generation from debian/rules to a new Makefile.
  * Declare compliance with Debian Policy 4.0.0. (No changes needed.)
  * Bump debhelper compatibility to 10.
    + Update versioned debhelper build-dependency accordingly.
  * pod2man call: Replace "Debian/GNU" with just "Debian".
  * Use $TMPDIR as directory for package builds if set in the
    environment. (Closes: #660765)

  [ Wookey ]
  * Add Support for links. (Closes: #701626, #682929, LP: #1132813)
  * Fix typos in debian/README.Debian.

  [ John Reese ]
  * Add support to build source packages, e.g. for source-only uploads as
    required for uploading to Ubuntu PPAs. (Closes: #603850)

 -- Axel Beckert <abe@debian.org>  Sat, 29 Jul 2017 01:12:47 +0200

equivs (2.0.10) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Adrian Bunk <bunk@debian.org>  Sun, 18 Jun 2017 16:56:59 +0300

equivs (2.0.10~exp1) experimental; urgency=medium

  * QA upload. (See: #852223)
  * Strip subdirectories before installing file listed in "Files:".
    Thanks to RjY <rjy@users.sourceforge.net> and
    Euan Thoms <euan@potensol.com>. (Closes: #662946)
  * Fix that equivs-build doesn't work if & is part of PWD.
    Thanks to Martin Mrazik and era eriksson <era@iki.fi>.
    (Closes: #679101) (LP: #881153, #1016402)
  * debian/README.Debian:
    - Fix references. Thanks to Regid Ichira <regid23@nt1.in>
      (Closes: #724608)
  * debian/rules:
    - Thanks to Reiner Herrmann <reiner@reiner-h.de>, this package should be
      reproducible now. (Closes: #786714)
  * debian/copyright:
    - Make DEP5 copyright
  * debian/{control,compat}
    - Bump debhelper compat level to 9 (no change required).
  * Bump versions in template (no change required):
    - standard version to 3.9.8
    - debhelper compat level to 9
    - source version to 3.0 (quilt)
  * debian/control:
    - Bump stardard version to 3.9.8 (no change required)
    - Set Maintainer as "Debian QA Group <packages@qa.debian.org>"
      This is the first time to do QA upload for this package.
  * debian/source/format:
    - Bump to 3.0 (native).

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 21 Apr 2017 19:20:01 +0900

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,20 @@
 Source: equivs
 Section: admin
 Priority: extra
-Maintainer: Peter Samuelson <peter@p12n.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper
+Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
+Uploaders: Axel Beckert <abe@debian.org>
+Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 10)
+Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/equivs.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/equivs.git
 
 Package: equivs
-Depends: perl, debhelper, dpkg-dev, make, fakeroot, ${misc:Depends}
+Depends: debhelper,
+         dpkg-dev,
+         fakeroot,
+         make,
+         perl,
+         ${misc:Depends}
 Architecture: all
 Description: Circumvent Debian package dependencies
  This package provides a tool to create trivial Debian packages.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
%:
	dh $@

build-indep: $(MANPAGES)

## equivs 2.2.0

=== debian/changelog ===
equivs (2.2.0) unstable; urgency=low

  [ Juan Picca ]
  * Add support to use alternative templates. (Closes MR !1)

 -- Axel Beckert <abe@debian.org>  Wed, 14 Nov 2018 04:15:22 +0100

equivs (2.1.1) unstable; urgency=medium

  * Team upload.

  [ Damyan Ivanov ]
  * change Priority from 'extra' to 'optional'

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Laurent Baillet ]
  * fix lintian file-contains-trailing-whitespace warning

  [ Johannes 'josch' Schauer ]
  * support Essential field (closes: #870288)

  [ gregor herrmann ]
  * Use HTTPS in debian/copyright.
  * Declare compliance with Debian Policy 4.2.1.
  * Remove trailing whitespace from debian/*.

 -- gregor herrmann <gregoa@debian.org>  Sat, 20 Oct 2018 03:49:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: equivs
-Section: admin
-Priority: extra
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Axel Beckert <abe@debian.org>
-Standards-Version: 4.0.0
+Section: admin
+Priority: optional
 Build-Depends: debhelper (>= 10)
-Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/equivs.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/equivs.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/equivs
+Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/equivs.git
 
 Package: equivs
+Architecture: all
 Depends: debhelper,
          dpkg-dev,
          fakeroot,
          make,
          perl,
          ${misc:Depends}
-Architecture: all
 Description: Circumvent Debian package dependencies
  This package provides a tool to create trivial Debian packages.
  Typically these packages contain only dependency information, but they

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
%:
	dh $@

## equivs 2.2.0+nmu1

=== debian/changelog ===
equivs (2.2.0+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:54:30 +0800

## equivs 2.3.1

=== debian/changelog ===
equivs (2.3.1) unstable; urgency=medium

  [ Johannes 'josch' Schauer ]
  * examples/libstdc++6-dev.ctl: make arch:any.
  * Add a debian/gitlab-ci.yml file.
  * Add autopkgtests.

  [ Axel Beckert ]
  * Don't let dpkg-buildpackage check for build-dependencies as it
    implicitly and unconditionally adds build-essential which
    equivs-generated metapackages don't need in nearly any case.
    (Closes: #958414; thanks Johannes 'josch' Schauer!)
  * Bump debhelper-compat to 13.

 -- Axel Beckert <abe@debian.org>  Wed, 10 Jun 2020 02:04:04 +0200

equivs (2.3.0) unstable; urgency=low

  [ Paul Wise ]
  * Fix directory indicator when TMPDIR is set (See #660765, mitigates
    #897927. and closes: #875677)

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entries 1.0.3-1, 1.0.2-1.

  [ Axel Beckert ]
  * Declare compliance with Debian Policy 4.5.0. (No changes needed.)
  * Set "Rules-Requires-Root: no".
  * Bump generated packages to current state of the art, too:
    + Set "Rules-Requires-Root: no"
    + Declare compliance with Debian Policy 4.5.0.
    + Use dh compat to 12 via build-dependency and drop debian/compat.
    + Use minimal debian/rules with dh sequencer.
    + Convert copyright file to machine-readable DEP5 format.
  * Fix "equivs-build --full" by using format "3.0 (native)". Thanks
    Arnaud Patard (Rtp) for the bug report! (Closes: #953556)
  * Fix signing error at the end of "equivs-build --full".
  * Drop building packages with fakeroot, now that we set R³.
    + Drop dependency on fakeroot accordingly.
  * Always use dpkg-buildpackage. (Closes: #880165)
  * Add debian/clean to remove common artifacts of manual testing.

 -- Axel Beckert <abe@debian.org>  Sun, 19 Apr 2020 07:48:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Uploaders: Axel Beckert <abe@debian.org>
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/equivs
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/equivs.git
+Rules-Requires-Root: no
 
 Package: equivs
 Architecture: all
 Depends: debhelper,
          dpkg-dev,
-         fakeroot,
          make,
          perl,
          ${misc:Depends}

## equivs 2.3.2

=== debian/changelog ===
equivs (2.3.2) unstable; urgency=medium

  * Team upload.

  [ Axel Beckert ]
  * Use --ignore-builtin-builddeps instead of -d as #958414 fix.
    Thanks Guillem Jover!
  * Override team/pkg-perl/testsuite/no-team-tests as equivs is a native
    application and has deliberately a dedicated debian/tests/control.

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.
  * Set Testsuite header for perl package.

  [ Roland Clobus ]
  * Reproducible changelog entry.
    The generated packages will have a changelog entry with a reproducible
    timestamp (if required).
    See https://reproducible-builds.org/docs/source-date-epoch/

  [ gregor herrmann ]
  * Declare compliance with Debian Policy 4.7.2.

 -- gregor herrmann <gregoa@debian.org>  Sun, 20 Apr 2025 01:46:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Axel Beckert <abe@debian.org>
 Section: admin
+Testsuite: autopkgtest-pkg-perl
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/equivs
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/equivs.git
 Rules-Requires-Root: no

=== debian/tests/control ===
Test-Command: for f in examples/*; do equivs-build $f || exit 1; done
Depends: equivs
Restrictions: allow-stderr

## equivs 2.3.2build1

=== debian/changelog ===
equivs (2.3.2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:35:35 +0100
